# $Revision: 1.88 $, $Date: 2008-04-28 22:00:15 $
# TODO:
# - package requisites for unifished packages -nsclient and -nwstat
#   REQUIREMENTS explains the dependencies.
# - patch6 is not lib64 safe
%include	/usr/lib/rpm/macros.perl
Summary:	Host/service/network monitoring program plugins for Nagios
Summary(pl.UTF-8):	Wtyczki do monitorowania hostów/usług/sieci dla Nagiosa
Name:		nagios-plugins
Version:	1.4.11
Release:	4
License:	GPL v2
Group:		Networking
Source0:	http://dl.sourceforge.net/nagiosplug/%{name}-%{version}.tar.gz
# Source0-md5:	042783a2180a6987e0b403870b3d01f7
Source1:	nagios-utils.php
Patch0:		%{name}-tainted.patch
Patch1:		%{name}-contrib-API.patch
Patch3:		%{name}-subst.patch
Patch4:		%{name}-noroot.patch
Patch5:		%{name}-check_ping-socket-filter-warning.patch
Patch6:		%{name}-path.patch
Patch7:		%{name}-pgsql.patch
Patch8:		%{name}-checkircd.patch
Patch9:		%{name}-check_log_paths.patch
Patch10:	%{name}-check_game_cmdline.patch
Patch11:	%{name}-check_smb_hostaddress.patch
Patch12:	%{name}-implicit-basename.patch
Patch13:	%{name}-check_radius_segfault.patch
Patch14:	%{name}-check_ntp_fixsefault_deprecate.patch
Patch15:	%{name}-fix_check_ntp_options.patch
Patch16:	%{name}-check_disk_local_option.patch
Patch17:	%{name}-check_ldap_pointer.patch
Patch18:	%{name}-misc_typos.patch
#Patch: %{name}-shared.patch # needs finishing
URL:		http://www.nagiosplugins.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	file
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-devel
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-Net-SNMP
BuildRequires:	postgresql-devel
BuildRequires:	radiusclient-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.177
Requires:	nagios-core
Obsoletes:	netsaint-plugins
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pluginarchdir	%{_libdir}/nagios/plugins
%define		_pluginlibdir	%{_prefix}/lib/nagios/plugins
%define		_noautoreqfiles utils.pm
# Not available in Ac
%define		_noautoreq	'perl(DBD::Oracle)' 'perl(Net::Arping)' 'perl(RRD::File)' 'perl(a)' 'perl(packet_utils)' 'perl(snmputil)'

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
nagios package.

%description -l pl.UTF-8
Nagios to program monitorujący hosty i usługi w sieci i powiadamiający
pocztą elektroniczną lub na pager o wystąpieniu lub rozwiązaniu
problemów. Nagios działa na serwerze uniksowym w tle lub jako demon,
regularnie przeprowadzając kontrolę różnych podanych mu usług. Sama
kontrola usług jest wykonywana poprzez oddzielne "wtyczki" - programy
zwracajace stan danej usługi do Nagiosa.

Ten pakiet zawiera podstawowe wtyczki do używania z pakietem nagios.

%package libs
Summary:	Nagios plugins base libraries
Summary(pl.UTF-8):	Podstawowe biblioteki wtyczek Nagiosa
Group:		Networking

%description libs
This package contains nagios plugins base libraries that plugins
depend on.

%description libs -l pl.UTF-8
Ten pakiet zawiera podstawowe biblioteki wtyczek Nagiosa, wymagane
przez wtyczki.

# NOTE for sub package requires:
# Requires:	nagios-core for plugins directory
# and add Requires:	%{name}-libs = %{version}-%{release} for utils.{sh,pm,php}
%package snmp
Summary:	Nagios plugins using SNMP protocol to query information
Summary(pl.UTF-8):	Wtyczki Nagiosa używające protokołu SNMP w celu uzyskania informacji
Group:		Networking
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
Requires:	net-snmp-utils
Requires:	perl-Net-SNMP

%description snmp
Nagios plugins using SNMP protocol to query information.

%description snmp -l pl.UTF-8
Wtyczki Nagiosa używające protokołu SNMP w celu uzyskania informacji.

%package samba
Summary:	Nagios plugin to check remote disk using smbclient
Summary(pl.UTF-8):	Wtyczka Nagiosa do zdalnego sprawdzania dysku z użyciem smbclienta
Group:		Networking
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
Requires:	samba-client

%description samba
Perl Check SMB Disk plugin for Nagios.

%description samba -l pl.UTF-8
Perlowa wtyczka dla Nagiosa sprawdzająca dyski SMB.

%package -n nagios-plugin-check_sensors
Summary:	Nagios plugin to check hardware status using the lm_sensors package
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania stanu sprzętu przy użyciu pakietu lm_sensors
Group:		Networking
# for utils.sh
Requires:	%{name}-libs = %{version}-%{release}
Requires:	lm_sensors
Provides:	nagios-plugins-sensors = %{version}-%{release}
Obsoletes:	nagios-plugins-sensors

%description -n nagios-plugin-check_sensors
This plugin checks hardware status using the lm_sensors package.

%description -n nagios-plugin-check_sensors -l pl.UTF-8
Ta wtyczka sprawdza stan sprzętu przy użyciu pakietu lm_sensors.

%package mysql
Summary:	Nagios plugin to test a MySQL DBMS
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania systemu baz danych MySQL
Group:		Networking
Requires:	nagios-core

%description mysql
This plugin tests a MySQL DBMS to determine whether it is active and
accepting queries.

%description mysql -l pl.UTF-8
Ta wtyczka sprawdza serwer baz danych MySQL, aby określić, czy jest
aktywny i przyjmuje zapytania.

%package -n nagios-plugin-check_pgsql
Summary:	Nagios plugin to test a PostgreSQL DBMS
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania systemu baz danych PostgreSQL
Group:		Networking
Requires:	nagios-core
Provides:	nagios-plugins-pgsql = %{version}-%{release}
Obsoletes:	nagios-plugins-pgsql

%description -n nagios-plugin-check_pgsql
This plugin tests a PostgreSQL DBMS to determine whether it is active
and accepting queries. In its current operation, it simply connects to
the specified database, and then disconnects. If no database is
specified, it connects to the template1 database, which is present in
every functioning PostgreSQL DBMS.

%description -n nagios-plugin-check_pgsql -l pl.UTF-8
Ta wtyczka sprawdza serwer baz danych PostgreSQL, aby określić, czy
jest aktywny i przyjmuje zapytania. Aktualnie po prostu łączy się do
określonej bazy danych i rozłącza. Jeśli nie podano bazy danych, łączy
się do bazy danych template1, obecnej w każdym działającym systemie
PostgreSQL.

%package -n nagios-plugin-check_radius
Summary:	Nagios plugin to test a radius server to see if it is accepting connections
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania serwera radius pod kątem przyjmowania połączeń
Group:		Networking
Requires:	nagios-core
Requires:	radiusclient
Provides:	nagios-plugins-radius = %{version}-%{release}
Obsoletes:	nagios-plugins-radius

%description -n nagios-plugin-check_radius
This plugin tests a radius server to see if it is accepting
connections.

%description -n nagios-plugin-check_radius -l pl.UTF-8
Ta wtyczka sprawdza serwer usługi radius, aby zobaczyć, czy przyjmuje
połączenia.

%package -n nagios-plugin-check_game
Summary:	Nagios plugin to check status of Internet game servers
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania stanu serwerów gier internetowych
Group:		Networking
Requires:	nagios-core
Requires:	qstat
Provides:	nagios-plugins-qstat = %{version}-%{release}
Obsoletes:	nagios-plugins-qstat

%description -n nagios-plugin-check_game
This plugin uses the 'qstat' command, the popular game server status
query tool.

QStat is a command-line program that displays information about
Internet game servers.

The servers are either down, non-responsive, or running a game. For
servers running a game, the server name, map name, current number of
players, and response time are displayed. Server rules and player
information may also be displayed.

%description -n nagios-plugin-check_game -l pl.UTF-8
Ta wtyczka używa polecenia 'qstat' - popularnego narzędzia do zapytań
o stan serwerów gier.

QStat to program działający z linii poleceń wyświetlający informacje o
serwerach gier internetowych.

Serwery mogą być wyłączone, nie odpowiadać, bądź mieć uruchomioną grę.
Dla serwerów z grami wyświetlanea są: nazwa serwera, nazwa mapy,
aktualna liczba graczy i czas odpowiedzi. Mogą być dodatkowo
wyświetlone reguły serwera i informacje o graczach.

%package -n nagios-plugin-check_ldap
Summary:	Nagios plugin to check LDAP servers
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania serwerów LDAP
Group:		Networking
Requires:	nagios-core
Provides:	nagios-plugins-ldap = %{version}-%{release}
Obsoletes:	nagios-plugins-ldap

%description -n nagios-plugin-check_ldap
Nagios plugin to check LDAP servers.

%description -n nagios-plugin-check_ldap -l pl.UTF-8
Wtyczka Nagiosa do sprawdzania serwerów LDAP.

%package -n nagios-plugin-check_ntp
Summary:	Nagios plugin to check time using NTP protocol
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania czasu przy użyciu protokołu NTP
Group:		Networking
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ntp-client
Provides:	nagios-plugins-ntp = %{version}-%{release}
Obsoletes:	nagios-plugins-ntp

%description -n nagios-plugin-check_ntp
Checks the local timestamp offset versus <host> with ntpdate. Checks
the jitter/dispersion of clock signal between <host> and its sys.peer
with ntpq.

%description -n nagios-plugin-check_ntp -l pl.UTF-8
Ta wtyczka sprawdza przesunięcie lokalnego czasu względem danego hosta
przy użyciu ntpdate. Sprawdza wahania/dyspersję sygnału zegara
pomiędzy hostem a jego sys.peer przy użyciu ntpq.

%package -n nagios-plugin-check_dns
Summary:	Nagios plugin to check DNS with nslookup
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania DNS-u przy użyciu nslookup
Group:		Networking
Requires:	bind-utils
Requires:	nagios-core
Provides:	nagios-plugins-dns = %{version}-%{release}
Obsoletes:	nagios-plugins-dns

%description -n nagios-plugin-check_dns
This plugin uses the nslookup program to obtain the IP address for the
given host/domain query. A optional DNS server to use may be
specified. If no DNS server is specified, the default server(s)
specified in /etc/resolv.conf will be used.

%description -n nagios-plugin-check_dns -l pl.UTF-8
Ta wtyczka używa programu nslookup do uzyskania adresu IP danego dla
danego zapytania o host/domenę. Można opcjonalnie podać serwer DNS,
który ma być użyty. Jeśli nie podano serwera DNS, używany jest
domyślny serwer (lub serwery) podany w /etc/resolv.conf.

%package -n nagios-plugin-check_dig
Summary:	Nagios plugin to check DNS servers with dig
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania DNS-u przy użyciu programu dig
Group:		Networking
Requires:	bind-utils
Requires:	nagios-core
Provides:	nagios-plugins-dig = %{version}-%{release}
Obsoletes:	nagios-plugins-dig

%description -n nagios-plugin-check_dig
Test the DNS service on the specified host using dig.

%description -n nagios-plugin-check_dig -l pl.UTF-8
Ta wtyczka sprawdza usługę DNS na podanym hoście przy użyciu programu
dig.

%package ssh
Summary:	Nagios plugins to check remote services via SSH
Summary(pl.UTF-8):	Wtyczki Nagiosa do sprawdzania zdalnych usług po SSH
Group:		Networking
Requires:	nagios-core
Requires:	openssh-clients

%description ssh
This plugin uses SSH to execute commands on a remote host.

%description ssh -l pl.UTF-8
Ta wtyczka używa SSH do wykonywania poleceń na zdalnym hoście.

%package -n nagios-plugin-check_load
Summary:	Nagios plugin to check uptime using procps
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania uptime'u przy użyciu procps
Group:		Networking
Requires:	nagios-core
Requires:	procps
Provides:	nagios-plugins-procps = %{version}-%{release}
Obsoletes:	nagios-plugins-procps

%description -n nagios-plugin-check_load
Nagios plugin to check uptime using procps.

%description -n nagios-plugin-check_load -l pl.UTF-8
Wtyczka Nagiosa do sprawdzania uptime'u przy użyciu procps.

%package -n nagios-plugin-check_fping
Summary:	Nagios plugin to check host up state with fping
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania działania hosta przy użyciu programu fping
Group:		Networking
Requires:	fping
Requires:	nagios-core
Provides:	nagios-plugins-fping = %{version}-%{release}
Obsoletes:	nagios-plugins-fping

%description -n nagios-plugin-check_fping
This plugin will use the /bin/fping command to ping the specified host
for a fast check if the host is alive.

%description -n nagios-plugin-check_fping -l pl.UTF-8
Ta wtyczka używa polecenia /bin/fping do szybkiego sprawdzenia, czy
dany host działa.

%package -n nagios-plugin-check_ping
Summary:	Nagios plugin to check host up state with ping
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania działania hosta przy użyciu programu ping
Group:		Networking
Requires:	iputils-ping >= 1:s20070202-1
Requires:	nagios-core

%description -n nagios-plugin-check_ping
This plugin will use the /bin/ping command to ping the specified host
if the host is alive.

%description -n nagios-plugin-check_ping -l pl.UTF-8
Ta wtyczka używa polecenia /bin/ping do sprawdzenia, czy dany host
działa.

%package perl
Summary:	Nagios plugins written in Perl
Summary(pl.UTF-8):	Wtyczki Nagiosa napisane w Perlu
Group:		Networking
# for utils.pm
Requires:	%{name}-libs = %{version}-%{release}
# for perl(Exporter)
Requires:	perl-base

%description perl
This package contains Nagios plugins written in Perl.

%description perl -l pl.UTF-8
Ten pakiet zawiera wtyczki Nagiosa napisane w Perlu.

# nsclient not packaged in PLD
#%package nsclient
#Summary:	Nagios plugin to check NT server with NSClient
#Summary(pl):	Wtyczka Nagiosa do sprawdzania serwera NT przy użyciu NSClienta
#Group:		Networking
#Requires:	%{name}-libs = %{version}-%{release}
#Requires:	nsclient
#
#%description nsclient
#Nagios plugin to check NT server with NSClient.
#
#%description nsclient -l pl
#Wtyczka Nagiosa do sprawdzania serwera NT przy użyciu NSClienta.

# requisite not packaged in PLD
#%package nwstat
#Summary:	Nagios plugin nwstat
#Summary(pl):	Wtyczka nwstat do Nagiosa
#Group:		Networking
#Requires:	%{name}-libs = %{version}-%{release}
#Requires:	mrtgext
#
#%description nsclient
#Nagios plugin using MRTGEXT module
#(http://forge.novell.com/modules/xfmod/project/?mrtgext).
#
#%description nsclient -l pl
#Wtyczka nagiosa używająca modułu MRTGEXT
#(http://forge.novell.com/modules/xfmod/project/?mrtgext).

%package contrib
Summary:	Contributed nagios plugins
Summary(pl.UTF-8):	Wtyczki przekazane do projektu Nagios
Group:		Networking
# for utils.pm, utils.sh
Requires:	%{name}-libs = %{version}-%{release}
# check_apache
Requires:	perl-URI
Requires:	perl-libwww
# check_apc_ups.pl
Requires:	net-snmp-utils
# check_arping.pl
Requires:	perl-Net-Arping
# check_bgpstate.pl
Requires:	perl-Net-SNMP
Requires:	whois
# check_traceroute.pl
Requires:	traceroute
# check_traceroute-pure_perl.pl
Requires:	perl-Net-Traceroute
# check_temp_fsc
Requires:	perl-SNMP_Session
# check_smart.pl
Requires:	smartmontools
# check_smb.sh
Requires:	samba
# check_adptraid.sh
#Requires:	dptutil
# unfinished... more deps are actually needed.

%description contrib
Contributed nagios plugins. Some of them work, some do not. Use at
your own risk.

%description contrib -l pl.UTF-8
Wtyczki przekazane do projektu Nagios. Część z nich działa, część nie.

%prep
%setup -q %{?_snap:-n %{name}-HEAD-%{_snap}}
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

# bring contribs into shape...
cd contrib
mv check_compaq_insight.{pl,msg}
sed -ne '/--- cut ---/,/--- cut ---/{/--- cut ---/!p}' < \
	check_compaq_insight.msg > check_compaq_insight.pl

sed -i -e '1s,#!.*/bin/perl,#!%{__perl},' \
	check_{oracle_tbs,{snmp_{{disk,process}_monitor,printer},nagios_db,flexlm}.pl}

sed -i -e '1s,#!.*/bin/env,#!%{__python},' \
	check_pcpmetric.py

sed -i -e '1s,#!.*/bin/bash,#!/bin/sh,' \
	check_smb.sh

sed -i -e "
	s,use lib '.*/nagios/libexec/',use lib '%{_pluginlibdir}',
	s,require '/usr/libexec/nagios/plugins,require '%{_pluginlibdir},
	s,use lib utils.pm,use lib '%{_pluginlibdir}', # that's there really a typo
" *.pl

mv check_appletalk.{pl,orig}
sed -ne '/---/!p;/---/q' < check_appletalk.orig > check_appletalk.pl

chmod a+x check_*.{pl,sh,py}
chmod a+x check_{fan_{cpq,fsc}_present,frontpage,oracle_tbs,pfstate,temp_{cpq,fsc}}

# exists in main
rm check_{breeze,wave}.pl

%build
%{__gettextize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--libexecdir=%{_pluginarchdir} \
	--with-cgiurl=/nagios/cgi-bin \
	--with-mysql=/usr \
	--with-pgsql=/usr \
	--with-openssl=/usr \
	--with-ping-command='/bin/ping -n -U -w %%d -c %%d %%s' \
	--with-ping6-command='/bin/ping6 -n -U -w %%d -c %%d %%s' \
	--with-ps-command="/bin/ps axwo 'stat uid ppid vsz rss pcpu comm args'" \
	--with-ps-format="%%s %%d %%d %%d %%d %%f %%s %%n" \
	--with-ps-cols=8 \
	--with-ps-varlist="procstat,&procuid,&procppid,&procvsz,&procrss,&procpcpu,procprog,&pos" \
	--with-proc-meminfo=/proc/meminfo \
	--with-proc-loadavg=/proc/loadavg \
	--with-nslookup-command="/usr/bin/nslookup -sil" \
	--with-uptime-command=/usr/bin/uptime \
	--with-rpcinfo-command=/usr/sbin/rpcinfo \
	--with-ntpdate-command=/usr/sbin/ntpdate \
	--with-smbclient-command=/usr/bin/smbclient \
	--with-dig-command=/usr/bin/dig \
	--with-fping-command=/usr/sbin/fping \
	--with-qstat-command=/usr/bin/qstat \
	--with-ssh-command=/usr/bin/ssh \
	--with-snmpget-command=/usr/bin/snmpget \
	--with-snmpgetnext-command=/usr/bin/snmpgetnext \
	--with-df-command='/bin/df -P' \
	--with-mailq=/usr/bin/mailq

%{__make}


# contrib. mostly useless. but you'll never know
cd contrib

%{__cc} %{rpmcflags} check_cluster2.c -o check_cluster2

%{__cc} %{rpmcflags} -I../plugins -I.. -I../gl -I../lib -c check_rbl.c
%{__cc} %{rpmcflags} check_rbl.o -o check_rbl ../plugins/popen.o ../plugins/utils.o ../plugins/netutils.o ../lib/utils_base.o

%{__cc} %{rpmcflags} check_timeout.c -o check_timeout

%{__cc} %{rpmcflags} -I../plugins -I.. -I../gl -I../lib -c check_uptime.c
%{__cc} %{rpmcflags} check_uptime.o -o check_uptime ../plugins/popen.o ../plugins/utils.o ../lib/utils_base.o

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install-root -C plugins-root \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

cd contrib
# all files with exec permissions are plugins.
find -name 'check_*' -type f -perm +1 | xargs -ri install {} $RPM_BUILD_ROOT%{_pluginarchdir}

%if "%{_pluginarchdir}" != "%{_pluginlibdir}"
install -d $RPM_BUILD_ROOT%{_pluginlibdir}
mv $(find $RPM_BUILD_ROOT%{_pluginarchdir} -type f | xargs file | awk -F: '!/ELF/{print $1}') $RPM_BUILD_ROOT%{_pluginlibdir}
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_pluginlibdir}/utils.php
chmod a-x $RPM_BUILD_ROOT%{_pluginlibdir}/utils.sh

rm -f $RPM_BUILD_ROOT%{_libdir}/libnagiosplug.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs	-p /sbin/ldconfig
%postun	libs	-p /sbin/ldconfig

%triggerun -- %{name} <= 1.4-0.34
%banner -e %{name} <<EOF
Several Nagios plugins have been separated to multiple packages to cut
down unneccessary deps on main package.

Please install %{name}-PACKAGE if you need these plugins.
To revert to previous state just run:
poldek -u nagios-plugins-{snmp,samba,sensors,mysql,pgsql,radius,qstat,ldap,ntp,dns,ssh,procps,fping}

EOF

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS BUGS CODING ChangeLog
%doc FAQ LEGAL NEWS README REQUIREMENTS SUPPORT THANKS

%defattr(755,root,root,755)
# plugins
%{_pluginarchdir}/check_apt
%{_pluginarchdir}/check_cluster
%{_pluginarchdir}/check_cluster2
%{_pluginarchdir}/check_disk
%{_pluginarchdir}/check_dummy
%{_pluginarchdir}/check_http
%{_pluginarchdir}/check_ide_smart
%{_pluginarchdir}/check_mrtg
%{_pluginarchdir}/check_mrtgtraf
%{_pluginarchdir}/check_nagios
# req: over-cr >= 0.99.53 http://www.molitor.org/overcr
%{_pluginarchdir}/check_overcr
%{_pluginarchdir}/check_procs
%{_pluginarchdir}/check_real
%{_pluginarchdir}/check_smtp
%{_pluginarchdir}/check_ssh
%{_pluginarchdir}/check_time
%{_pluginarchdir}/check_ups
%{_pluginarchdir}/check_users
%{_pluginarchdir}/check_swap
%{_pluginlibdir}/check_log

# check_tcp and symlinks
%{_pluginarchdir}/check_tcp
%{_pluginarchdir}/check_clamd
%{_pluginarchdir}/check_ftp
%{_pluginarchdir}/check_imap
%{_pluginarchdir}/check_jabber
%{_pluginarchdir}/check_nntp
%{_pluginarchdir}/check_nntps
%{_pluginarchdir}/check_pop
%{_pluginarchdir}/check_simap
%{_pluginarchdir}/check_spop
%{_pluginarchdir}/check_ssmtp
%{_pluginarchdir}/check_udp

# these plugins need suid bit to operate
%{_pluginarchdir}/check_dhcp
%{_pluginarchdir}/check_icmp

# Cannot determine ORACLE_HOME for sid
# probably needs some external programs. can't test
%{_pluginlibdir}/check_oracle

%files libs
%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/libnagiosplug.so.0.0.0
%attr(755,root,root) %{_pluginarchdir}/negate
%attr(755,root,root) %{_pluginarchdir}/urlize
%{_pluginlibdir}/utils.pm
%{_pluginlibdir}/utils.php
%{_pluginlibdir}/utils.sh

%files perl
%defattr(755,root,root,755)
%{_pluginlibdir}/check_file_age
%{_pluginlibdir}/check_ircd
%{_pluginlibdir}/check_mailq
%{_pluginlibdir}/check_rpc

# requires license.dat
%{_pluginlibdir}/check_flexlm

# Not to be confused with nagios-snmp-plugins
%files snmp
%defattr(755,root,root,755)
%{_pluginarchdir}/check_snmp
%{_pluginarchdir}/check_hpjd
%{_pluginlibdir}/check_ifoperstatus
%{_pluginlibdir}/check_ifstatus
%{_pluginlibdir}/check_wave
%{_pluginlibdir}/check_breeze

%files samba
%defattr(755,root,root,755)
%{_pluginlibdir}/check_disk_smb

%files -n nagios-plugin-check_sensors
%defattr(755,root,root,755)
%{_pluginlibdir}/check_sensors

%files mysql
%defattr(755,root,root,755)
%{_pluginarchdir}/check_mysql
%{_pluginarchdir}/check_mysql_query

%files -n nagios-plugin-check_pgsql
%defattr(755,root,root,755)
%{_pluginarchdir}/check_pgsql

%files -n nagios-plugin-check_radius
%defattr(755,root,root,755)
%{_pluginarchdir}/check_radius

%files -n nagios-plugin-check_game
%defattr(755,root,root,755)
%{_pluginarchdir}/check_game

%files -n nagios-plugin-check_ldap
%defattr(755,root,root,755)
%{_pluginarchdir}/check_ldap
%{_pluginarchdir}/check_ldaps

%files -n nagios-plugin-check_ntp
%defattr(755,root,root,755)
%{_pluginarchdir}/check_ntp
%{_pluginarchdir}/check_ntp_peer
%{_pluginarchdir}/check_ntp_time

%files -n nagios-plugin-check_dns
%defattr(755,root,root,755)
%{_pluginarchdir}/check_dns

%files -n nagios-plugin-check_dig
%defattr(755,root,root,755)
%{_pluginarchdir}/check_dig

%files ssh
%defattr(755,root,root,755)
%{_pluginarchdir}/check_by_ssh

%files -n nagios-plugin-check_load
%defattr(755,root,root,755)
%{_pluginarchdir}/check_load

%files -n nagios-plugin-check_ping
%defattr(755,root,root,755)
%attr(2755,root,adm) %{_pluginarchdir}/check_ping

%files -n nagios-plugin-check_fping
%defattr(755,root,root,755)
%attr(2755,root,adm) %{_pluginarchdir}/check_fping

%files contrib
%defattr(755,root,root,755)
%{_pluginarchdir}/check_nt
%{_pluginarchdir}/check_nwstat
%{_pluginarchdir}/check_rbl
%{_pluginarchdir}/check_timeout
%{_pluginarchdir}/check_uptime

%{_pluginlibdir}/check_adptraid.sh
%{_pluginlibdir}/check_apache.pl
%{_pluginlibdir}/check_apc_ups.pl
%{_pluginlibdir}/check_appletalk.pl
%{_pluginlibdir}/check_arping.pl
%{_pluginlibdir}/check_asterisk.pl
%{_pluginlibdir}/check_axis.sh
%{_pluginlibdir}/check_backup.pl
%{_pluginlibdir}/check_bgpstate.pl
%{_pluginlibdir}/check_compaq_insight.pl
%{_pluginlibdir}/check_digitemp.pl
%{_pluginlibdir}/check_dlswcircuit.pl
%{_pluginlibdir}/check_dns_random.pl
%{_pluginlibdir}/check_email_loop.pl
%{_pluginlibdir}/check_fan_cpq_present
%{_pluginlibdir}/check_fan_fsc_present
%{_pluginlibdir}/check_flexlm.pl
%{_pluginlibdir}/check_frontpage
%{_pluginlibdir}/check_hprsc.pl
%{_pluginlibdir}/check_hw.sh
%{_pluginlibdir}/check_ica_master_browser.pl
%{_pluginlibdir}/check_ica_metaframe_pub_apps.pl
%{_pluginlibdir}/check_ica_program_neigbourhood.pl
%{_pluginlibdir}/check_inodes-freebsd.pl
%{_pluginlibdir}/check_inodes.pl
%{_pluginlibdir}/check_javaproc.pl
%{_pluginlibdir}/check_joy.sh
%{_pluginlibdir}/check_linux_raid.pl
%{_pluginlibdir}/check_lmmon.pl
%{_pluginlibdir}/check_log2.pl
%{_pluginlibdir}/check_lotus.pl
%{_pluginlibdir}/check_maxchannels.pl
%{_pluginlibdir}/check_maxwanstate.pl
%{_pluginlibdir}/check_mem.pl
%{_pluginlibdir}/check_ms_spooler.pl
%{_pluginlibdir}/check_mssql.sh
%{_pluginlibdir}/check_nagios.pl
%{_pluginlibdir}/check_nagios_db.pl
%{_pluginlibdir}/check_nagios_db_pg.pl
%{_pluginlibdir}/check_netapp.pl
%{_pluginlibdir}/check_nmap.py
%{_pluginlibdir}/check_ora_table_space.pl
%{_pluginlibdir}/check_oracle_instance.pl
%{_pluginlibdir}/check_oracle_tbs
%{_pluginlibdir}/check_pcpmetric.py
%{_pluginlibdir}/check_pfstate
%{_pluginlibdir}/check_qmailq.pl
%{_pluginlibdir}/check_remote_nagios_status.pl
%{_pluginlibdir}/check_rrd_data.pl
%{_pluginlibdir}/check_sap.sh
%{_pluginlibdir}/check_smart.pl
%{_pluginlibdir}/check_smb.sh
%{_pluginlibdir}/check_snmp_disk_monitor.pl
%{_pluginlibdir}/check_snmp_printer.pl
%{_pluginlibdir}/check_snmp_process_monitor.pl
%{_pluginlibdir}/check_snmp_procs.pl
%{_pluginlibdir}/check_sockets.pl
%{_pluginlibdir}/check_temp_cpq
%{_pluginlibdir}/check_temp_fsc
%{_pluginlibdir}/check_traceroute-pure_perl.pl
%{_pluginlibdir}/check_traceroute.pl
%{_pluginlibdir}/check_vcs.pl
%{_pluginlibdir}/check_wins.pl

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugins.spec,v $
Revision 1.88  2008-04-28 22:00:15  glen
- debian bugfix patches

Revision 1.87  2008-04-28 21:46:19  glen
- pgsql 8.3 fix; rel 4

Revision 1.86  2008-04-28 17:30:10  glen
- disable unfinished shared patch; rel 3

Revision 1.85  2008-03-29 19:50:51  paszczus
- added R: perl-Net-Arping for -contrib; thx radek

Revision 1.84  2008-03-02 00:27:47  qboosh
- pl for -libs

Revision 1.83  2008-02-13 07:57:37  glen
- add CVE references to 1.4.10 release

Revision 1.82  2008-01-09 21:01:51  glen
- build with libnagiosplug.so; rel 2

Revision 1.81  2008-01-07 18:21:39  glen
- update to 1.4.11

Revision 1.80  2008-01-07 18:15:35  glen
- check_ldaps to proper package; rel 7

Revision 1.79  2008-01-06 22:56:38  glen
- lib64 fix; rel 6

Revision 1.78  2007-11-25 20:52:25  areq
- rel 5

Revision 1.77  2007-11-23 13:51:13  glen
- utils.* libraries should not be executables; rel 4

Revision 1.76  2007-11-23 13:46:53  glen
- -libs package itself doesn't require /bin/sh; rel 3

Revision 1.75  2007-11-18 18:03:57  arekm
- rel 2

Revision 1.74  2007-11-08 21:43:17  glen
- update to 1.4.10 [CVE-2007-5623, CVE-2007-5198]

Revision 1.72  2007-10-24 22:38:14  glen
- rel 1

Revision 1.71  2007/10/24 21:41:54  glen
- created -libs with libraries for external plugins
- fix amd64 install

Revision 1.70  2007/09/19 15:48:46  glen
- install utils.php

Revision 1.69  2007/08/27 08:50:13  glen
- move noarch plugins to noarch dir

Revision 1.68  2007/08/27 08:28:34  glen
- separate binary and interpreted language plugins

Revision 1.67  2007/08/27 08:04:35  glen
- updated to 1.4.9
- check_sybase now maintained in NagiosExchange

Revision 1.66  2007/03/15 14:11:18  glen
- todo

Revision 1.65  2007/03/15 12:31:07  wolvverine
- add nagios-plugins-path.patch

Revision 1.64  2007/03/15 01:09:58  zbyniu
- up to 1.4.6; patch 2 and 6 obsoleted

Revision 1.63  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.62  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.61  2006/12/21 12:51:16  hawk
- fixed build, release 5

Revision 1.60  2006/12/20 12:20:46  hawk
- release 4 to rebuild with PostgreSQL 8.2

Revision 1.59  2006/09/25 10:57:28  glen
- rel 3

Revision 1.58  2006/07/27 20:55:41  qboosh
- pl desc for -check_ping

Revision 1.57  2006/07/27 20:10:20  wolf
- cosmetics

Revision 1.56  2006/07/27 11:32:04  glen
- no epoch defined, so don't use it
- include version in provides for poldek to upgrade better
- adapterized

Revision 1.55  2006/07/27 11:22:51  glen
- renamed packages that contain just one plugins to singular
- check_ping moved to separate package due /bin/ping dependency

Revision 1.54  2006/07/27 09:20:32  glen
- don't scan for perl requires from utils.pm

Revision 1.53  2006/07/27 09:05:22  qboosh
- pl for -perl

Revision 1.52  2006/07/27 08:58:05  glen
- moved perl plugins into -perl subpackage

Revision 1.51  2006/05/21 21:48:25  glen
- restore conflicts line; rel 2

Revision 1.50  2006/05/21 21:42:21  glen
- force openssl ssl implementation, rel 1

Revision 1.49  2006/05/21 21:38:49  glen
- merge 1.4.3 from DEVEL (1.42.2.10)

Revision 1.48  2006/04/07 08:42:32  glen
- use perl autodeps, small fixes

Revision 1.47  2006/04/07 08:11:02  glen
- move check_cluster2 to base (head is stright in the morning)

Revision 1.46  2006/04/06 22:31:40  glen
- drop check_cluster (netsaint plugin)
- separate check_cluster2 from -contrib to -cluster (or put it to main as it has not extra deps?)

Revision 1.45  2006/03/14 13:28:09  glen
- apply the patch too

Revision 1.44  2006/03/14 13:26:54  glen
- ignore "WARNING: failed to install socket filter: Protocol not available" message
- adapterized
- rel 4

Revision 1.43  2006/01/17 15:33:16  baggins
- release 3
- BR openldap 2.3

Revision 1.42  2005/10/29 13:56:23  glen
- adapterized
- snap build support
- ping locale patch is obsolete

Revision 1.41  2005/10/27 17:46:51  arekm
- rel 2

Revision 1.40  2005/10/06 14:21:54  glen
- updated to 1.4.2

Revision 1.39  2005/07/18 11:10:36  glen
- rel 1; STBR

Revision 1.38  2005/07/18 10:35:10  glen
- add patch which fixes checking mysql slave on mysql 4.1 servers

Revision 1.37  2005/07/06 10:10:54  wolvverine
- add BR

Revision 1.36  2005/06/24 10:12:12  wolvverine
- add POSIX compatibility for /bin/df in check_disk

Revision 1.35  2005/05/08 10:27:53  glen
- renumber patches

Revision 1.34  2005/05/08 10:25:13  glen
- fix trigger (was missing ldap)
- note for adding subpackage deps
- fix -ntp package dep

Revision 1.33  2005/05/07 20:28:14  qboosh
- pl for new subpackages

Revision 1.32  2005/05/07 12:33:57  glen
- packages split merged from DEVEL

Revision 1.20.2.22  2005/05/06 17:00:27  glen
- subpackages (see discussion in devel-en)

Revision 1.31  2005/05/02 17:09:54  glen
- gettext bcond removed

Revision 1.30  2005/05/02 17:09:12  glen
- check_ping bug resolved

Revision 1.29  2005/05/02 16:18:07  glen
- check_ping failure is locale problem

Revision 1.28  2005/04/27 23:08:31  glen
- rel 0.29

Revision 1.27  2005/04/27 22:35:20  glen
- merged 1.4 from DEVEL

Revision 1.26  2005/04/27 22:28:43  glen
- reverted (merge from DEVEL or work on DEVEL, it has 1.4)

Revision 1.25  2005/04/26 23:41:58  wolvverine
- up to 1.4 release
- NFY
- bad patch nagios-plugins-configure.patch

Revision 1.24  2005/04/08 10:53:50  patrys
- nrpe is enough to run the plugins, nagios itself is not required

Revision 1.23  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.22  2005/04/07 13:08:23  glen
- trigger to warn users about package split

Revision 1.21  2005/02/19 14:10:10  ankry
- rel. 4

Revision 1.20.2.21  2005/04/27 22:31:42  glen
- TODO

Revision 1.20.2.20  2005/04/09 18:06:51  glen
- R: fping for check_fping

Revision 1.20.2.19  2005/04/09 17:45:43  glen
- require nagios-core instead of nagios-plugins for packages which don't use utils.{sh,pm}

Revision 1.20.2.18  2005/04/09 17:36:06  glen
- add deps for plugins at runtime
- --with-ssh-command, --with-snmpget-command to remove unneccesary BR
- sgid bit for check_fping

Revision 1.20.2.17  2005/04/09 16:53:42  glen
- merge changes from HEAD

Revision 1.24  2005/04/08 10:53:50  patrys
- nrpe is enough to run the plugins, nagios itself is not required

Revision 1.23  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.22  2005/04/07 13:08:23  glen
- trigger to warn users about package split

Revision 1.21  2005/02/19 14:10:10  ankry
- rel. 4

Revision 1.20.2.16  2005/04/09 16:38:49  glen
- specify paths to dig, fping, qstat and remove their BR

Revision 1.20.2.15  2005/04/06 16:47:20  glen
- TODO

Revision 1.20.2.14  2005/04/01 21:52:28  glen
- patch for newer gettext (feel free to do it better and "properly")
- -subst patch is back

Revision 1.20.2.13  2005/03/27 20:13:58  glen
- --with-nslookup-command, --with-uptime-command, --with-rpcinfo-command, --with-ntpdate-command, --with-smbclient-command added

Revision 1.20.2.12  2005/03/23 20:23:59  glen
- args for --with-{mysql,pgsql} to discard stupid -Iyes/include

Revision 1.20.2.11  2005/03/23 20:08:13  glen
- path to /proc/meminfo

Revision 1.20.2.10  2005/03/23 19:37:20  glen
- /proc-less build, suplly --with-ps command vars

Revision 1.20.2.9  2005/03/23 18:51:58  glen
- duplicates nuked
- plugins sorted
- fixes for tainted perl

Revision 1.20.2.8  2005/03/14 22:08:32  glen
- sgid adm for check_ping

Revision 1.20.2.7  2005/03/14 21:56:50  glen
- cleanup
- files sorting

Revision 1.20.2.6  2005/03/08 01:33:01  glen
- check_ping crash resolved
- more TODO

Revision 1.20.2.5  2005/03/08 00:30:12  glen
- some progress

Revision 1.20.2.4  2005/03/06 22:34:50  glen
- PreReq nagios to kill dependancy loop

Revision 1.20.2.3  2005/02/22 13:00:46  glen
- checkin work in progress

Revision 1.20.2.2  2005/02/08 15:15:51  glen
- add more doc, sort doc

Revision 1.20.2.1  2005/02/08 13:46:16  glen
- updated to 1.4
- R: nagios-plugins is back, as gettext is needed
- simplify using _plugindir macro

Revision 1.20  2005/02/07 06:08:10  glen
- nagios/plugins dir owned by nagios package, so depend on that

Revision 1.19  2005/02/07 05:33:15  glen
- 2.6 swap patch already applied

Revision 1.18  2004/12/13 23:01:04  glen
- rel 3; STBR

Revision 1.17  2004/12/08 22:36:55  glen
- BR: net-snmp-utils

Revision 1.16  2004/12/08 20:48:36  qboosh
- pl

Revision 1.15  2004/12/08 17:13:34  glen
- more subpackages requiring external dependencies

Revision 1.14  2004/12/08 15:11:52  glen
- fix changelog

Revision 1.13  2004/12/08 15:09:08  glen
- 2.6 swap patch from gentoo:
  http://bugs.gentoo.org/show_bug.cgi?id=61386

Revision 1.12  2004/12/08 15:07:46  glen
- more SNMP plugins detected

Revision 1.11  2004/12/08 14:41:28  glen
- rename -game to -qstat

Revision 1.10  2004/12/08 14:31:31  glen
- split into subpackages requiring additional deps (PS: -game or -qstat which is better?)
- fix check_ping
- more descriptive %description

Revision 1.9  2004/08/30 11:13:51  undefine
- release 2

Revision 1.8  2004/08/30 01:01:04  undefine
- fixes build by Zbyniu Krzystolik <zbyniu@geocarbon.pl>

Revision 1.7  2004/08/29 18:43:15  undefine
- df (suggestion by Zbyniu Krzystolik <zbyniu@geocarbon.pl>)

Revision 1.6  2004/08/28 22:49:25  undefine
- release 1

Revision 1.5  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.4  2003/11/09 01:04:21  qboosh
- cosmetics, BR: ac,am

Revision 1.3  2003/10/12 10:34:40  pbern
- update to 1.3.1 but still don`t build

Revision 1.2  2003/06/04 22:39:17  orzech
- hmmm...

Revision 1.1  2003/06/04 22:34:57  orzech
- new, buillds
